ycrcb2rgb: XYCrCb2Rgb_Config Struct Reference

| ycrcb2rgb Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XYCrCb2Rgb_Config Struct Reference
Ycrcb2rgb_v7_1

This typedef contains configuration information for a YCrCb2Rgb core. More...

## Data Fields
u16 | DeviceId
| DeviceId is the unique ID of the YCRCB2RGB core. More...
u32 | BaseAddress
| BaseAddress is the physical base address of the YCRCB2RGB core registers. More...
u32 | SlaveAxisVideoFormat
| Slave Axis Video Format. More...
u32 | MasterAxisVideoFormat
| Master Axis Video Format. More...
u16 | HasDebug
| Debugging support. More...
u16 | HasIntcIf
| Interrupt controller support. More...
u32 | MaxCols
| Maximum number of columns. More...
u32 | ActiveCols
| Active number of columns. More...
u32 | ActiveRows
| Active number of rows. More...
u32 | MWidth
| MWidht. More...
u32 | CoefRange
| Coefficient range. More...
u32 | ACoef
| A Coefficient. More...
u32 | BCoef
| B Coefficient. More...
u32 | CCoef
| C Coefficient. More...
u32 | DCoef
| D Coefficient. More...
u32 | ROffset
| R Offset. More...
u32 | GOffset
| G Offset. More...
u32 | BOffset
| B Offset. More...
u16 | HasClip
| Clipping support. More...
u16 | HasClamp
| Clamping support. More...
u16 | RgbMax
| RGB Max value. More...
u16 | RgbMin
| RGB Min value. More...
u32 | SlaveAxiClkFreqHz
| Slave Axis Clock frequency in Hz. More...
u32 | StandardSelection
| Standard Selection. More...
u32 | OutputRange
| Output Range. More...

## Detailed Description

This typedef contains configuration information for a YCrCb2Rgb core.

Each YCrCb2Rgb core should have a configuration structure associated.

## Field Documentation

u32 XYCrCb2Rgb_Config::ACoef

A Coefficient.

u32 XYCrCb2Rgb_Config::ActiveCols

Active number of columns.

u32 XYCrCb2Rgb_Config::ActiveRows

Active number of rows.

u32 XYCrCb2Rgb_Config::BaseAddress

BaseAddress is the physical base address of the YCRCB2RGB core registers.

Referenced by XYCrCb2Rgb_CfgInitialize(), XYCrCb2Rgb_DisableDbgBypass(), XYCrCb2Rgb_DisableDbgTestPattern(), XYCrCb2Rgb_EnableDbgByPass(), XYCrCb2Rgb_EnableDbgTestPattern(), XYCrCb2Rgb_GetActiveSize(), XYCrCb2Rgb_GetBOffset(), XYCrCb2Rgb_GetCoefs(), XYCrCb2Rgb_GetDbgFrameCount(), XYCrCb2Rgb_GetDbgLineCount(), XYCrCb2Rgb_GetDbgPixelCount(), XYCrCb2Rgb_GetGOffset(), XYCrCb2Rgb_GetRGBMax(), XYCrCb2Rgb_GetRGBMin(), XYCrCb2Rgb_GetROffset(), XYCrCb2Rgb_GetVersion(), XYCrCb2Rgb_IsDbgByPassEnabled(), XYCrCb2Rgb_IsDbgTestPatternEnabled(), XYCrCb2Rgb_SelfTest(), XYCrCb2Rgb_SetActiveSize(), XYCrCb2Rgb_SetBOffset(), XYCrCb2Rgb_SetCoefs(), XYCrCb2Rgb_SetGOffset(), XYCrCb2Rgb_SetRGBMax(), XYCrCb2Rgb_SetRGBMin(), XYCrCb2Rgb_SetROffset(), XYCrCb2Rgb_Setup(), and XYCrCb2RgbSelfTestExample().

u32 XYCrCb2Rgb_Config::BCoef

B Coefficient.

u32 XYCrCb2Rgb_Config::BOffset

B Offset.

u32 XYCrCb2Rgb_Config::CCoef

C Coefficient.

u32 XYCrCb2Rgb_Config::CoefRange

Coefficient range.

u32 XYCrCb2Rgb_Config::DCoef

D Coefficient.

u16 XYCrCb2Rgb_Config::DeviceId

DeviceId is the unique ID of the YCRCB2RGB core.

u32 XYCrCb2Rgb_Config::GOffset

G Offset.

u16 XYCrCb2Rgb_Config::HasClamp

Clamping support.

Referenced by XYCrCb2Rgb_GetRGBMin(), and XYCrCb2Rgb_SetRGBMin().

u16 XYCrCb2Rgb_Config::HasClip

Clipping support.

Referenced by XYCrCb2Rgb_GetRGBMax(), and XYCrCb2Rgb_SetRGBMax().

u16 XYCrCb2Rgb_Config::HasDebug

Debugging support.

Referenced by XYCrCb2Rgb_DisableDbgBypass(), XYCrCb2Rgb_DisableDbgTestPattern(), XYCrCb2Rgb_EnableDbgByPass(), XYCrCb2Rgb_EnableDbgTestPattern(), XYCrCb2Rgb_GetDbgFrameCount(), XYCrCb2Rgb_GetDbgLineCount(), XYCrCb2Rgb_GetDbgPixelCount(), XYCrCb2Rgb_IsDbgByPassEnabled(), and XYCrCb2Rgb_IsDbgTestPatternEnabled().

u16 XYCrCb2Rgb_Config::HasIntcIf

Interrupt controller support.

Referenced by XYCrCb2Rgb_IntrHandler().

u32 XYCrCb2Rgb_Config::MasterAxisVideoFormat

Master Axis Video Format.

u32 XYCrCb2Rgb_Config::MaxCols

Maximum number of columns.

u32 XYCrCb2Rgb_Config::MWidth

MWidht.

u32 XYCrCb2Rgb_Config::OutputRange

Output Range.

u16 XYCrCb2Rgb_Config::RgbMax

RGB Max value.

u16 XYCrCb2Rgb_Config::RgbMin

RGB Min value.

u32 XYCrCb2Rgb_Config::ROffset

R Offset.

u32 XYCrCb2Rgb_Config::SlaveAxiClkFreqHz

Slave Axis Clock frequency in Hz.

u32 XYCrCb2Rgb_Config::SlaveAxisVideoFormat

Slave Axis Video Format.

u32 XYCrCb2Rgb_Config::StandardSelection

Standard Selection.